import { defineStore } from 'pinia'

import { ResponseStatus } from '@/helpers'
import { users as api } from '@/services/api'

export const useUserStore = defineStore({
  id: 'users',
  state: () => ({
    data: []
  }),
  getters: {},
  actions: {
    async fetchUsers() {
      try {
        const response = await api.findAll()

        if (response.status === ResponseStatus.Success) {
          this.data = response.data

          return { success: true, message: response.code }
        }

        return { success: false, message: response.code }
      } catch (error) {
        return { success: false }
      }
    },
    setUsers(data) {
      this.data = data
    },
    async updateUserPassword(id, data) {
      try {
        const response = await api.updatePassword(id, data)

        if (response.status === ResponseStatus.Success) {
          return { success: true, message: response.code }
        }

        return { success: false, message: response.code }
      } catch (error) {
        return { success: false }
      }
    }
  }
})
