function loadEnvironmentVariable (key) {
  if (key === undefined) throw new Error('Key does not exist. (environment variables)')

  return process.env[key]
}

export default {
  port: loadEnvironmentVariable('APP_PORT'),
  endpoints: {
    app: loadEnvironmentVariable('SERVICE_CLIENT_URI'),
    api: loadEnvironmentVariable('SERVICE_SERVER_URI')
  },
  corsOrigin: loadEnvironmentVariable('CORS_ORIGIN'),
  db: {
    host: loadEnvironmentVariable('DB_HOST'),
    port: loadEnvironmentVariable('DB_PORT'),
    name: loadEnvironmentVariable('DB_NAME'),
    user: loadEnvironmentVariable('DB_USER'),
    pass: loadEnvironmentVariable('DB_PASS'),
    uri: loadEnvironmentVariable('DB_URI')
  },
  emailVerification: loadEnvironmentVariable('EMAIL_VERIFICATION'),
  jwt: {
    expiresIn: loadEnvironmentVariable('JWT_EXPIRES_IN'),
    secrect: loadEnvironmentVariable('JWT_SECRET')
  },
  mailer: {
    mode: loadEnvironmentVariable('MAILER_MODE'),
    host: loadEnvironmentVariable('MAILER_HOST'),
    port: loadEnvironmentVariable('MAILER_PORT'),
    user: loadEnvironmentVariable('MAILER_USER'),
    pass: loadEnvironmentVariable('MAILER_PASS')
  },
  simulationEndpoint: loadEnvironmentVariable('SERVICE_CST_URI')
}
