import mongoose from 'mongoose'

export const apartmentDataSchema = new mongoose.Schema({
  // Heating
  apartmentComment: {
    type: String,
    default: null
  },
  area: {
    type: Number,
    default: null
  },
  ceilingHeight: {
    type: Number,
    default: null
  },
  centralHeating: {
    type: Boolean,
    default: false
  },
  heatDemand: {
    type: Number,
    default: null
  },
  heatingType: {
    type: String,
    default: null
  },
  largeHeatingElements: {
    type: Number,
    default: null
  },
  mediumHeatingElements: {
    type: Number,
    default: null
  },
  panelHeating: {
    type: Number,
    default: null
  },
  powerDemand: {
    type: Number,
    default: null
  },
  smallHeatingElements: {
    type: Number,
    default: null
  },
  workingHeatingInstallations: {
    type: Number,
    default: null
  },
  // Windows
  averageWindowAge: {
    type: Number,
    default: null
  },
  averageWindowCondition: {
    type: String,
    default: null
  },
  largeWindows: {
    type: Number,
    default: null
  },
  mediumWindows: {
    type: Number,
    default: null
  },
  roofWindows: {
    type: Number,
    default: null
  },
  smallWindows: {
    type: Number,
    default: null
  },
  windowComment: {
    type: String,
    default: null
  },
  windowFrame: {
    type: String,
    default: null
  },
  windowGlazing: {
    type: String,
    default: null
  }
}, {
  _id: false
})
