import mongoose from 'mongoose'

export const buildingDataSchema = new mongoose.Schema({
  // Characteristics
  yearOfConstruction: {
    type: Number,
    default: null
  },
  numberOfFloors: {
    type: Number,
    default: null
  },
  livingSpace: {
    type: Number,
    default: null
  },
  listedBuilding: {
    type: Boolean,
    default: null
  },
  energyPerformanceCertificate: {
    type: Number,
    default: null
  },
  characteristicsComment: {
    type: String,
    default: null
  },
  // Heating
  selfContainedCentralHeating: {
    type: Boolean,
    default: null
  },
  heatingInstallation: {
    type: String,
    default: null
  },
  heatingConsumption: {
    type: Number,
    default: null
  },
  pipeSystem: {
    type: String,
    default: null
  },
  solarHeat: {
    type: Boolean,
    default: null
  },
  solarHeatArea: {
    type: Number,
    default: null
  },
  photovoltaic: {
    type: Boolean,
    default: null
  },
  photovoltaicArea: {
    type: Number,
    default: null
  },
  photovoltaicYield: {
    type: Number,
    default: null
  },
  heatingInstallationComment: {
    type: String,
    default: null
  },
  // Refurbishment: facade
  facadeInsulatingMaterial: {
    type: String,
    default: null
  },
  facadeInsulatingMaterialThickness: {
    type: Number,
    default: null
  },
  buildingStructure: {
    type: String,
    default: null
  },
  buildingStructureThickness: {
    type: Number,
    default: null
  },
  facadeNorth: {
    type: Boolean,
    default: null
  },
  facadeEast: {
    type: Boolean,
    default: null
  },
  facadeWest: {
    type: Boolean,
    default: null
  },
  facadeSouth: {
    type: Boolean,
    default: null
  },
  facadeRefurbishmentComment: {
    type: String,
    default: null
  },
  // Refurbishment: roof
  flatRoof: {
    type: Boolean,
    default: null
  },
  roofArea: {
    type: Number,
    default: null
  },
  heatedAttic: {
    type: Boolean,
    default: null
  },
  clouding: {
    type: Number,
    default: null
  },
  roofInsulatingMaterial: {
    type: String,
    default: null
  },
  roofInsulatingMaterialThickness: {
    type: Number,
    default: null
  },
  roofRefurbishmentComment: {
    type: String,
    default: null
  },
  // Refurbishment: basement
  basementInsulatingMaterial: {
    type: String,
    default: null
  },
  basementInsulatingMaterialThickness: {
    type: Number,
    default: null
  },
  insulatedBasementCeiling: {
    type: Boolean,
    default: null
  },
  insulatedBasementFloor: {
    type: Boolean,
    default: null
  },
  heatedBasement: {
    type: Boolean,
    default: null
  },
  basementRefurbishmentComment: {
    type: String,
    default: null
  }
}, {
  _id: false
})

export default null
