import mongoose from 'mongoose'

export const imageSchema = new mongoose.Schema({
  name: {
    type: String,
    default: null
  },
  originalName: {
    type: String,
    default: null
  },
  mimeType: {
    type: String,
    default: null
  },
  size: {
    type: Number,
    default: 0
  },
  buffer: {
    data: Buffer,
    contentType: String
  },
  createdAt: {
    type: Date,
    immutable: true,
    default: () => Date.now()
  },
  updatedAt: {
    type: Date,
    default: () => Date.now()
  }
})

export default mongoose.model('Image', imageSchema)
