import mongoose from 'mongoose'

export const managementSchema = new mongoose.Schema({
  prefixList: {
    type: Array
  },
  createdAt: {
    type: Date,
    immutable: true,
    default: () => Date.now()
  }
}, {
  collection: 'management'
})

managementSchema.statics.initManagementSettings = async function (...args) {
  const exists = await this.find()

  if (exists.length !== 0) {
    return null
  }

  return await this.create({ prefixList: [] })
}

export default mongoose.model('Management', managementSchema)
