export const getUserFromRequest = (req) => {
  const { role, userId } = req.user

  return {
    accessor: userId,
    role
  }
}

export const getUsernameFromEmail = (email) => {
  const seq = email.split('@')

  return seq[0]
}

export const handleRouteError = (err, res) => {
  if (err.name === 'MongoServerError') {
    res.status(400).json({ type: 'ERROR', message: 'Bad Request', name: err.message })
  } else {
    res.status(400).json({ type: 'ERROR', message: 'Bad Request', name: err.name, description: err.message })
  }
}

export const success = (res, data, code = 200) => {
  res.status(code).json({
    status: 'SUCCESS',
    ...data
  })
}

export const warning = (res, data, code = 200) => {
  res.status(code).json({
    status: 'WARNING',
    ...data
  })
}
