import express from 'express'
import { checkSchema } from 'express-validator'

import { getSimulation, getSimulations } from '../../controllers/simulations.js'
import asyncHandler from '../../middleware/asyncHandler.js'
import { idSchema } from '../../schemas/index.js'

const router = express.Router()

router.get('/', asyncHandler(getSimulations))
router.get('/:id', checkSchema(idSchema), asyncHandler(getSimulation))

export default router
