export const createApartmentSchema = {
  apartmentName: {
    in: ['body'],
    exists: true,
    errorMessage: 'Missing field'
  },
  buildingId: {
    in: ['body'],
    exists: true,
    errorMessage: 'Missing field'
  },
  password: {
    in: ['body'],
    exists: true,
    errorMessage: 'Missing field'
  },
  username: {
    in: ['body'],
    exists: true,
    errorMessage: 'Missing field'
  }
}

export const heatingSchema = {
  id: {
    in: ['params'],
    exists: true,
    isString: true
  },
  apartmentComment: {
    in: ['body'],
    errorMessage: 'Missing field',
    isString: true,
    optional: {
      options: {
        nullable: true
      }
    }
  },
  area: {
    in: ['body'],
    errorMessage: 'Missing field',
    isInt: true,
    toInt: true,
    optional: {
      options: {
        nullable: true
      }
    }
  },
  ceilingHeight: {
    in: ['body'],
    errorMessage: 'Missing field',
    isNumeric: true,
    optional: {
      options: {
        nullable: true
      }
    }
  },
  centralHeating: {
    in: ['body'],
    errorMessage: 'Missing field',
    isBoolean: true,
    toBoolean: true,
    optional: {
      options: {
        nullable: true
      }
    }
  },
  heatDemand: {
    in: ['body'],
    errorMessage: 'Missing field',
    isInt: true,
    toInt: true,
    optional: {
      options: {
        nullable: true
      }
    }
  },
  heatingType: {
    in: ['body'],
    errorMessage: 'Missing field',
    isString: true,
    optional: {
      options: {
        nullable: true
      }
    }
  },
  largeHeatingElements: {
    in: ['body'],
    errorMessage: 'Missing field',
    isInt: true,
    toInt: true,
    optional: {
      options: {
        nullable: true
      }
    }
  },
  mediumHeatingElements: {
    in: ['body'],
    errorMessage: 'Missing field',
    isInt: true,
    toInt: true,
    optional: {
      options: {
        nullable: true
      }
    }
  },
  smallHeatingElements: {
    in: ['body'],
    errorMessage: 'Missing field',
    isInt: true,
    toInt: true,
    optional: {
      options: {
        nullable: true
      }
    }
  },
  panelHeating: {
    in: ['body'],
    errorMessage: 'Missing field',
    isInt: true,
    toInt: true,
    optional: {
      options: {
        nullable: true
      }
    }
  },
  powerDemand: {
    in: ['body'],
    errorMessage: 'Missing field',
    isInt: true,
    toInt: true,
    optional: {
      options: {
        nullable: true
      }
    }
  },
  workingHeatingInstallations: {
    in: ['body'],
    errorMessage: 'Missing field',
    isInt: true,
    toInt: true,
    optional: {
      options: {
        nullable: true
      }
    }
  }
}

export const windowSchema = {
  id: {
    in: ['params'],
    exists: true,
    isString: true
  },
  averageWindowAge: {
    in: ['body'],
    errorMessage: 'Missing field',
    isInt: true,
    toInt: true,
    optional: {
      options: {
        nullable: true
      }
    }
  },
  averageWindowCondition: {
    in: ['body'],
    errorMessage: 'Missing field',
    isString: true,
    optional: {
      options: {
        nullable: true
      }
    }
  },
  largeWindows: {
    in: ['body'],
    errorMessage: 'Missing field',
    isInt: true,
    toInt: true,
    optional: {
      options: {
        nullable: true
      }
    }
  },
  mediumWindows: {
    in: ['body'],
    errorMessage: 'Missing field',
    isInt: true,
    toInt: true,
    optional: {
      options: {
        nullable: true
      }
    }
  },
  roofWindows: {
    in: ['body'],
    errorMessage: 'Missing field',
    isInt: true,
    toInt: true,
    optional: {
      options: {
        nullable: true
      }
    }
  },
  smallWindows: {
    in: ['body'],
    errorMessage: 'Missing field',
    isInt: true,
    toInt: true,
    optional: {
      options: {
        nullable: true
      }
    }
  },
  windowComment: {
    in: ['body'],
    errorMessage: 'Missing field',
    isString: true,
    optional: {
      options: {
        nullable: true
      }
    }
  },
  windowFrame: {
    in: ['body'],
    errorMessage: 'Missing field',
    isString: true,
    optional: {
      options: {
        nullable: true
      }
    }
  },
  windowGlazing: {
    in: ['body'],
    errorMessage: 'Missing field',
    isString: true,
    optional: {
      options: {
        nullable: true
      }
    }
  }
}
