import axios from 'axios'

import appConfig from '../config/appConfig.js'

const URI = appConfig.simulationEndpoint

export const executeSimulation = async (data) => {
  return axios.post(`${URI}/executeSimulation`, { ...data })
    .then(response => response.data)
    .catch(e => {
      console.log('ERROR:', e.name)
      return null
    })
}

export const getInformation = async (gmlId) => {
  return axios.get(`${URI}/getInformation?gmlId=${gmlId}`)
    .then(response => response.data)
    .catch(e => {
      console.log('ERROR:', e.name)
      return null
    })
}
